Bug 255257

Summary: shells/p5-Shell-Perl: Update to 0.004
Product: Ports & Packages Reporter: Gian-Simon Purkert <gspurki>
Component: Individual Port(s)Assignee: Guangyuan Yang <ygy>
Status: Closed FIXED    
Severity: Affects Only Me CC: eduardo, smatsui, ygy
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://metacpan.org/changes/distribution/Perl-Shell
See Also: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=255258
Attachments:
Description Flags
Update to 0.004 none

Description Gian-Simon Purkert 2021-04-20 12:20:18 UTC
Created attachment 224291 [details]
Update to 0.004
Comment 1 Gian-Simon Purkert 2021-06-07 10:54:19 UTC
Any News?
Comment 2 Guangyuan Yang freebsd_committer 2021-06-07 22:26:25 UTC
Maintainer timeout.
Comment 3 Guangyuan Yang freebsd_committer 2021-06-09 02:36:08 UTC
(In reply to Gian-Simon Purkert from comment #1)

The maintainer does not seem to be active quite for a while. The official wait period for a maintainer reset is 3 months - just wondering, are you potentially willing to take maintainership as well?
Comment 4 Gian-Simon Purkert 2021-06-11 08:43:57 UTC
(In reply to Guangyuan Yang from comment #3)

Yes i can take maintainership of the packet if you have to reset it.
Comment 5 Guangyuan Yang freebsd_committer 2021-06-16 23:52:52 UTC
Please update the diff with the new maintainership so I can proceed from here, thanks!
Comment 6 commit-hook freebsd_committer 2021-07-03 10:35:36 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=707989ed0f7c83660cfb8213641054207a3de529

commit 707989ed0f7c83660cfb8213641054207a3de529
Author:     Nuno Teixeira <eduardo@FreeBSD.org>
AuthorDate: 2021-07-03 10:30:37 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-07-03 10:30:37 +0000

    */*: Maintainer reset for smatsui@karashi.org

    Many consecutive timeouts.  We thank smatsui for all his efforts and
    hope to see him back in the future.

    PR:             255256
    PR:             255257
    PR:             255258 [1]
    Approved by:    maintainer timeout (smatsui@karashi.org, > 2 months), dbaio (mentor)
    Approved by:    portmgr (adamw) [1]
    Differential Revision:  https://reviews.freebsd.org/D30769 [1]

 devel/p5-File-chmod/Makefile                      | 2 +-
 net/pear-Net_UserAgent_Mobile/Makefile            | 2 +-
 shells/p5-Shell-Perl/Makefile                     | 2 +-
 textproc/p5-HTML-Entities-ImodePictogram/Makefile | 2 +-
 www/p5-HTML-Selector-XPath/Makefile               | 2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)
Comment 7 Guangyuan Yang freebsd_committer 2021-07-03 10:43:10 UTC
Ports not updated yet.
Comment 8 Nuno Teixeira freebsd_committer 2021-07-03 10:55:58 UTC
(In reply to Guangyuan Yang from comment #7)
sorry, again! :)
Comment 9 Gian-Simon Purkert 2021-07-04 16:27:58 UTC
(In reply to Guangyuan Yang from comment #5)

Hi,

Since your a official ports committer i would say it's your obligation to change the maintainer in the patch and not mine.
Comment 10 Guangyuan Yang freebsd_committer 2021-07-06 20:08:04 UTC
(In reply to Gian-Simon Purkert from comment #9)

No, it is not. Submitters may propose whatever changes they want, and it is the committers' obligation to review and commit the changes. I was simply asking if you are interested, and surely I could change it for you - though I cannot just "assign" someone as a maintainer unless they propose so.

Also, if you no longer wish to maintain the port, I will gladly commit the patch as-is, just let me know. Thanks! :)
Comment 11 Gian-Simon Purkert 2021-07-08 09:25:31 UTC
(In reply to Guangyuan Yang from comment #10)

> though I cannot just "assign" someone as a maintainer unless they propose so

I already did right in this ticket:

Comment 4
Comment 12 commit-hook freebsd_committer 2021-07-18 06:35:00 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=7f85f34b214fb37e73412e66468a23f38bbf4590

commit 7f85f34b214fb37e73412e66468a23f38bbf4590
Author:     Gian-Simon Purkert <gspurki@gmail.com>
AuthorDate: 2021-07-18 06:34:24 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-07-18 06:34:24 +0000

    shells/p5-Shell-Perl: Update to 0.004

    PR:             255257
    Approved by:    lwhsu (mentor, implicit)

 shells/p5-Shell-Perl/Makefile | 3 +--
 shells/p5-Shell-Perl/distinfo | 5 +++--
 2 files changed, 4 insertions(+), 4 deletions(-)